unit uGlobalTypes;
interface

type TObjednavkyGenerovaniFrom = (Zakazky,PredpMaterial,Sklad);

type TLicenceURL = record
  fURL_BASE                          : string;
  fURL_SERIAL_STATUS                 : string;
  fURL_SERIAL                        : string;
  fURL_MESSAGE                       : string;
  fURL_MESSAGE_PORTAL                : string;
  fURL_GENERATOR                     : string;
  fURL_LICENCE                       : string;
end;

type
  TInteger = class (TObject)
  public
     int: Integer;
     constructor Create(aint : Integer = 0);
  end;

type
  TAgColumn = class
    Caption : string;
    Hint : string;
  end;

type TMaska = record
  leve_znaky: string;
  pocet_levych_znaku: integer;
  pocet_cisel: integer
end;

Type TgcVyberAg = (gcOrderWork=1,gcPrMaterial,gcMaterial,gcSkladKarty,gcStroj,gcNaradi, gcUserList);

  TArraySystemByte = System.TArray<System.Byte>;
  PArraySystemByte = ^TArraySystemByte;

implementation

{ TInteger }

constructor TInteger.Create(aint: Integer);
begin
  inherited create;
  int := aInt;
end;

end.
